> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the Approvals Workflow settings

Update the Approvals Workflow settings for a specific client. This can include enabling/disabling the workflow and turning the “creator as approver” option on or off. Only the settings provided in the request will be updated; other settings are ignored.


## OpenAPI

````yaml /openapi.json post /approvals-workflow/settings
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /approvals-workflow/settings:
    post:
      tags:
        - Approvals Workflow
      summary: Update the Approvals Workflow settings
      description: Update the Approvals Workflow settings for a specific client.
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApprovalsWorkflowSettings'
        description: Client Approvals Workflow settings to be set
        required: true
      responses:
        '200':
          description: Updated client Approvals Workflow settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApprovalsWorkflowSettings'
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: >-
            Client ID or settings for the client not found. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ApprovalsWorkflowSettings:
      description: The Approvals Workflow settings for a client.
      properties:
        payment_approvals_enabled:
          description: Whether the Approvals Workflow is enabled for payments.
          type: boolean
        payment_creator_approval_enabled:
          description: Whether the creator of a payment can act as an approver.
          type: boolean
      required:
        - payment_approvals_enabled
        - payment_creator_approval_enabled
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````